.live-search {
	display: flex;
	align-items: center;
	justify-content: center;

	height: 100vh;

    background-image: var(--hero-bg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;

	position: relative;
}

.live-search::before {
	content: "";

	position: absolute;
	inset: 0;

	background: linear-gradient(
		to bottom,
		rgba(12, 12, 12, 0.93) 0%,
		rgba(12, 12, 12) 100%
	);

	pointer-events: none;
}

.live-search .container {
	display: flex;
    flex-direction: column;
	align-items: center;
}

.live-search-box {
	position: relative;
	display: flex;
	align-items: center;

	height: 50px;
	width: 668px;

	background: rgba(27, 27, 27, 0.50);

	border-radius: 3px;
	border: 1px solid rgba(255, 255, 255, 0.15);
}

.live-search-box.open {
	border-bottom-left-radius: 0;
	border-bottom-right-radius: 0;
}

.live-search-box .live-search-icon {
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
}

.live-search-box .live-search-icon svg {
	width: 20px;
    height: 20px;

    color:#ffffff;

	padding-left: 16px;
	padding-top: 2px;
}

.live-search-box .live-search-icon:hover svg {
    color: #dc1d52;
	cursor: pointer;
}

.live-search-box input {
	height: 50px;
	width: 100%;

	background: transparent;

	border: none;
	outline: none;
  
    font-family: "Poppins-Regular", sans-serif;
    font-size: 14px;
	color: #ffffff;

	padding-left: 16px;
}

.live-search-box input::placeholder {
	color: #ffffff66;
}

.results {
	position: absolute;
	top: 100%;
	left: 0;

	width: 100%;
	
	margin-left: -1px;

	background: #0c0c0c;

	display: none;

	border: 1px solid rgba(255, 255, 255, 0.15);

	z-index: 1;
}

.results .item {
	display: flex;
	align-items: center;
	gap: 15px;

	padding-left: 16px;
	padding-block: 7px;

	font-family: "Poppins-Bold", sans-serif;
	font-size: 14px;
	color: #ffffff;
}

.results .item:hover {
	background: #de495c;
}

.results .item img {
	width: 35px;
	height: 50px;
	object-fit: cover;
}

.results .title {
	padding-top: 1px;
}

.results .platform {
    display: flex;
    align-items: center;
    gap: 5px;
	padding-top: 1px;
}

.results .platform img {
    width: 15px;
    height: 15px;
}

.results .more-results {
    justify-content: center;
    height: 55px;
    align-items: center;
}

.results .more-results:hover {
    background: transparent;
}

.more-results {
	padding-bottom: 7px;
}

.more-results button {
	display: flex;
    align-items: center;
    justify-content: center;
	gap: 10px;
	
	background: #de495c;

	height: 40px;
	width: 226px;

	border: none;
	border-radius: 3px;
	
	font-family: "Poppins-Regular", sans-serif;
	font-size: 14px;
	color: #ffffff;
	
	cursor: pointer;
}

.no-results {
	background: rgba(255,255,255,0.03);
}



.content-updates-container {
	position: absolute;

	display: flex;
	flex-direction: rows;
	align-items: center;
	gap: 20px;

	bottom: -75px;
}

.content-updates {
	position: relative;
	overflow: hidden;

	display: flex;
	align-items: center;

	width: 416px;
	height: 150px;

	background: rgba(27, 27, 27, 0.5);

	border: 1px solid rgba(255, 255, 255, 0.15);
	border-radius: 3px;

	cursor: pointer;
}

.content-updates::before {
	content: "";
	position: absolute;
	inset: 0;

	background: var(--bg) center/cover no-repeat;
	opacity: 0.1;

	z-index: 0;
}

.content-updates > * {
	position: relative;
	z-index: 0;
}

.date {
	padding-left: 22px;
}

.date p.day {
	height: 40px;

	font-family: Poppins-Bold;
	font-size: 36px;
	color: #ffffff;

	margin-top: -10px;
}

.date p.month {
	font-family: Poppins-Bold;
	font-size: 18px;
	color: #de495c;
}

.content-updates-box {
	padding-left: 25px;
}

.content-updates-box p.title {
	font-family: Poppins-Bold;
	font-size: 12px;
	color: #de495c;

	margin-top: -3px;
}

.content-updates-box p.text {
	font-family: Poppins-Regular;
	font-size: 12px;
	color: #ffffff;
	line-height: 1.2;

    margin-top: 7px;
}

/* Modal */
.modal {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,.75);
    display: none;
    justify-content: center;
    align-items: center;
    z-index: 9999;
}

.modal.active {
    display: flex;
}

.modal-content {
    position: relative;
    width: 700px;
    max-width: 90%;
    max-height: 80vh;
    overflow-y: auto;
    padding: 25px;
    background: #0c0c0c;
    border: 1px solid rgba(255,255,255,.1);
    border-radius: 6px;
}

.modal-content::-webkit-scrollbar {
  width: 6px;
}

.modal-content::-webkit-scrollbar-thumb {
  background: #de495c;
  border-radius: 3px;
}

.modal-close {
    position: absolute;
    top: 20px;
    right: 15px;
    background: none;
    border: 0;
    color: #ffffff;
    font-size: 36px;
    cursor: pointer;
}

h2.modal-title {
	font-family: Poppins-Bold;
	font-size: 36px;
	color: #de495c;

	line-height: 1.0;
}

.modal-date {
	font-family: Poppins-Regular;
	font-size: 12px;
    color: #ffffff;
}

#modalBody {
	font-family: Poppins-Regular;
	font-size: 14px;
    color: #ffffff;

	line-height: 1.7;
    white-space: pre-wrap;

	padding-top: 15px;
}

#modalBody a {
	color: #de495c;
}

#modalBody a:hover {
	color: #ffffff;
}

.sub-title-1 {
	font-family: Poppins-Bold;
	font-size: 18px;
}

.sub-title-2 {
	font-family: Poppins-Bold;
	font-size: 14px;
	color: #de495c;
}



.last-added {
    padding-top: 150px;
}

.last-added,
.new-releases {
	display: flex;
    justify-content: center;

	height: 521px;
}

.last-added-title,
.new-releases-title {
	display: flex;
    align-items: center;
	justify-content: space-between;

	height: 104px;
	width: 1290px;
}

.last-added-title h1,
.new-releases-title h1 {
	font-family: Poppins-bold;
	font-size: 36px;
	color: #ffffff;
}

.last-added-title h1 strong,
.new-releases-title h1 strong {
	color: #de495c;
}

.arrow-container {
    display: flex;
    gap: 7px;
}

.arrow {
    background: #1b1b1b;
    color: #de495c;
    border: none;

    width: 40px;
    height: 40px;

	font-family: Poppins-Bold;
	font-size: 14px;

    border-radius: 3px;

    cursor: pointer;
}

.arrow.disabled {
    opacity: 0.3;
    pointer-events: none;

    cursor: default;
}

.slider {
    display: flex;
    gap: 30px;

    overflow-x: auto;
    scroll-behavior: smooth;

    width: 1290px;
}

.slider::-webkit-scrollbar {
    display: none;
}

.slider .game-card {
    position: relative;

	min-width: 234px;
    height: 313px;

    border-radius: 3px;

	overflow: hidden;
}



.spotlight {
	position: relative;
	display: flex;
	justify-content: center;
	align-items: center;

	background-image: var(--bg-image);
	background-size: cover;
	background-repeat: no-repeat;
	background-position: center;
	
	height: 590px;
	width: 100%;

	overflow: hidden;
}

.spotlight::before {
    content: "";
    position: absolute;
    inset: 0;

	height: 590px;

    background: rgba(12, 12, 12, 0.93);
}

.spotlight > * {
    z-index: 1;
}

.spotlight .container {
	display: flex;
    gap: 50px;

	height: 450px;
	width: 1290px;
}

.spotlight h2 {
	font-family: Poppins-bold;
	font-size: 114px;
	color: #ffffff;
	
	opacity: 0.05;
	
	margin: 0;
	margin-left: -104px;
	margin-right: -439px;

    line-height: 1;

	display: inline-block;
    transform: rotate(270deg);

	cursor: default;
}



.new-releases {
	height: 521px;

	padding-top: 118px;
}